org.appng.xml.platform

## Class DataConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Config
    - - org.appng.xml.platform.DataConfig

- All Implemented Interfaces:
    Serializable

      public class DataConfig
      extends Config
      implements Serializable

  The configuration for a `Datasource`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Linkpanel>` | `linkpanel`
    `protected MetaData` | `metaData`
    `protected Params` | `params`

    - ### Fields inherited from class org.appng.xml.platform.Config

      `description, labels, permissions, templates, textelements, title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Linkpanel>` | `getLinkpanel()` Gets the value of the linkpanel property.
    `MetaData` | `getMetaData()` Gets the value of the metaData property.
    `Params` | `getParams()` Gets the value of the params property.
    `void` | `setMetaData(MetaData value)` Sets the value of the metaData property.
    `void` | `setParams(Params value)` Sets the value of the params property.

    - ### Methods inherited from class org.appng.xml.platform.Config

      `getDescription, getLabels, getPermissions, getTemplates, getTextelements, getTitle, setDescription, setLabels, setPermissions, setTextelements, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected Params params

    - #### metaData

          protected MetaData metaData

    - #### linkpanel

          protected List<Linkpanel> linkpanel

  - ### Constructor Detail

    - #### DataConfig

          public DataConfig()

  - ### Method Detail

    - #### getParams

          public Params getParams()

      Gets the value of the params property.
      Returns:
        possible object is `Params`

    - #### setParams

          public void setParams(Params value)

      Sets the value of the params property.
      Parameters:
        `value` - allowed object is `Params`

    - #### getMetaData

          public MetaData getMetaData()

      Gets the value of the metaData property.
      Returns:
        possible object is `MetaData`

    - #### setMetaData

          public void setMetaData(MetaData value)

      Sets the value of the metaData property.
      Parameters:
        `value` - allowed object is `MetaData`

    - #### getLinkpanel

          public List<Linkpanel> getLinkpanel()

      Gets the value of the linkpanel property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the linkpanel property.

      For example, to add a new item, do as follows:

              getLinkpanel().add(newItem);

      Objects of the following type(s) are allowed in the list `Linkpanel`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.